Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.cmtm.serviceregistry.query
Interface ServiceLocator

All Known Implementing Classes:
  DefaultServiceLocator

    public interface ServiceLocator

This interface describes classes that can be used to search for services.

Author:
  tilmann

Method Summary
`void` | `addServiceLocatorEventListener(ServiceLocatorEventListener listener)` Sets a ServiceLocatorEventListener to be notified of events during search
`List<ServiceInfo>` | `findServices(ServiceParameter searchParameter)` This method can be used to search for services suitable to the given searchParameters.
`void` | `removeServiceLocatorEventListener(ServiceLocatorEventListener listener)` Removes a previously set ServiceLocatorEventListener

Method Detail

### findServices

    List<ServiceInfo> findServices(ServiceParameter searchParameter)
                                   throws IOException

  This method can be used to search for services suitable to the given searchParameters. The resulting list may also contain services that do not perfectly match the parameters. This is indicated with a relevance below 1.

  Parameters:
    `searchParameter` - the parameters the services shoud have
  Returns:
    a list of search results sorted by relevance
  Throws:
    `IOException`

### addServiceLocatorEventListener

    void addServiceLocatorEventListener(ServiceLocatorEventListener listener)

  Sets a ServiceLocatorEventListener to be notified of events during search

  Parameters:
    `listener` - the ServiceLocatorEventListener to be set

### removeServiceLocatorEventListener

    void removeServiceLocatorEventListener(ServiceLocatorEventListener listener)

  Removes a previously set ServiceLocatorEventListener

  Parameters:
    `listener` - the ServiceLocatorEventListener to be removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD